
local itemTable =
{
	--  ores
	{ "angels-ore1", 1},
	{ "angels-ore2", 1},
	{ "angels-ore3", 1},
	{ "angels-ore4", 1},
	{ "angels-ore5", 1},
	{ "angels-ore6", 1},
	{ "gold-ore", 2},
	{ "silver-ore", 2},
	{ "lead-ore", 1},
	{ "tin-ore", 1},
	{ "tungsten-ore", 2},
	{ "zinc-ore", 2},
	{ "bauxite-ore", 2},
	{ "rutile-ore", 2},
	{ "quartz", 1},
	{ "cobalt-ore", 2},
	{ "nickel-ore", 2},
--	{ "thorium-ore", 2},
	{ "clowns-ore1", 1},
	{ "clowns-ore2", 1},
	{ "clowns-ore3", 1},
	{ "clowns-ore4", 1},
	{ "clowns-ore5", 1},
	{ "clowns-ore6", 1},
	{ "clowns-ore7", 1},
	{ "phosphorus-ore", 1},
	
	{ "chrome-ore", 2},
	{ "manganese-ore", 2},
	{ "platinum-ore", 2},
	
	-- plates regenerate
	{ "iron-plate", 1},
	{ "steel-plate", 1},
	{ "copper-plate", 1},
	-- plates
	{ "tin-plate", 1},
	{ "silver-plate", 2},
	{ "lead-plate", 1},
	{ "gold-plate", 2},
	{ "nickel-plate", 2},
	{ "zinc-plate", 2},
	{ "aluminium-plate", 2},
	{ "titanium-plate", 2},
	{ "tungsten-plate", 2},
	{ "silicon", 2},
	{ "lithium", 2},
	{ "cobalt-plate", 2},
	{ "tin-plate", 1},
	-- other
--	{ "solid-white-phosphorus", 2},
	{"stone-crushed", 1}
}

if deadlock_stacking then
	for _, item in pairs(itemTable) do
		if data.raw.item[item[1]] then
			deadlock_stacking.create(item[1], item[3], "deadlock-stacking-"..item[2])
		end
	end
end 

if deadlock_crating then
	for _, item in pairs(itemTable) do
		if data.raw.item[item[1]] then
			deadlock_crating.create(item[1], "deadlock-crating-"..item[2])
		end
	end
end
